package com.hfkj.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * bs_bank_activity
 * @author 
 */
/**
 * 
 * 代码由工具生成
 * 
 **/
public class BsBankActivity implements Serializable {
    /**
     * 主键
     */
    private Long id;

    /**
     * 活动限制地区
     */
    private String regions;

    /**
     * 活动编号
     */
    private Long activityNo;

    /**
     * 活动名称
     */
    private String activityName;

    /**
     * 产品类型
     */
    private String posScope;

    /**
     * 有效期开始
     */
    private Date effectiveStart;

    /**
     * 有效期结束
     */
    private Date effectiveEnd;

    /**
     * 报名开始
     */
    private Date registrationStart;

    /**
     * 报名结束
     */
    private Date registrationEnd;

    /**
     * 详情
     */
    private String details;

    /**
     * 备注
     */
    private String comments;

    /**
     * 状态  0：不可用    1：正常
     */
    private Integer status;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    private String ext1;

    private String ext2;

    private String ext3;

    private BsBankActivityRoster bankActivityRoster;

    public BsBankActivityRoster getBankActivityRoster() {
        return bankActivityRoster;
    }

    public void setBankActivityRoster(BsBankActivityRoster bankActivityRoster) {
        this.bankActivityRoster = bankActivityRoster;
    }

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getRegions() {
        return regions;
    }

    public void setRegions(String regions) {
        this.regions = regions;
    }

    public Long getActivityNo() {
        return activityNo;
    }

    public void setActivityNo(Long activityNo) {
        this.activityNo = activityNo;
    }

    public String getActivityName() {
        return activityName;
    }

    public void setActivityName(String activityName) {
        this.activityName = activityName;
    }

    public String getPosScope() {
        return posScope;
    }

    public void setPosScope(String posScope) {
        this.posScope = posScope;
    }

    public Date getEffectiveStart() {
        return effectiveStart;
    }

    public void setEffectiveStart(Date effectiveStart) {
        this.effectiveStart = effectiveStart;
    }

    public Date getEffectiveEnd() {
        return effectiveEnd;
    }

    public void setEffectiveEnd(Date effectiveEnd) {
        this.effectiveEnd = effectiveEnd;
    }

    public Date getRegistrationStart() {
        return registrationStart;
    }

    public void setRegistrationStart(Date registrationStart) {
        this.registrationStart = registrationStart;
    }

    public Date getRegistrationEnd() {
        return registrationEnd;
    }

    public void setRegistrationEnd(Date registrationEnd) {
        this.registrationEnd = registrationEnd;
    }

    public String getDetails() {
        return details;
    }

    public void setDetails(String details) {
        this.details = details;
    }

    public String getComments() {
        return comments;
    }

    public void setComments(String comments) {
        this.comments = comments;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getExt1() {
        return ext1;
    }

    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    public String getExt2() {
        return ext2;
    }

    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    public String getExt3() {
        return ext3;
    }

    public void setExt3(String ext3) {
        this.ext3 = ext3;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        BsBankActivity other = (BsBankActivity) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getRegions() == null ? other.getRegions() == null : this.getRegions().equals(other.getRegions()))
            && (this.getActivityNo() == null ? other.getActivityNo() == null : this.getActivityNo().equals(other.getActivityNo()))
            && (this.getActivityName() == null ? other.getActivityName() == null : this.getActivityName().equals(other.getActivityName()))
            && (this.getPosScope() == null ? other.getPosScope() == null : this.getPosScope().equals(other.getPosScope()))
            && (this.getEffectiveStart() == null ? other.getEffectiveStart() == null : this.getEffectiveStart().equals(other.getEffectiveStart()))
            && (this.getEffectiveEnd() == null ? other.getEffectiveEnd() == null : this.getEffectiveEnd().equals(other.getEffectiveEnd()))
            && (this.getRegistrationStart() == null ? other.getRegistrationStart() == null : this.getRegistrationStart().equals(other.getRegistrationStart()))
            && (this.getRegistrationEnd() == null ? other.getRegistrationEnd() == null : this.getRegistrationEnd().equals(other.getRegistrationEnd()))
            && (this.getDetails() == null ? other.getDetails() == null : this.getDetails().equals(other.getDetails()))
            && (this.getComments() == null ? other.getComments() == null : this.getComments().equals(other.getComments()))
            && (this.getStatus() == null ? other.getStatus() == null : this.getStatus().equals(other.getStatus()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getUpdateTime() == null ? other.getUpdateTime() == null : this.getUpdateTime().equals(other.getUpdateTime()))
            && (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1()))
            && (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2()))
            && (this.getExt3() == null ? other.getExt3() == null : this.getExt3().equals(other.getExt3()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getRegions() == null) ? 0 : getRegions().hashCode());
        result = prime * result + ((getActivityNo() == null) ? 0 : getActivityNo().hashCode());
        result = prime * result + ((getActivityName() == null) ? 0 : getActivityName().hashCode());
        result = prime * result + ((getPosScope() == null) ? 0 : getPosScope().hashCode());
        result = prime * result + ((getEffectiveStart() == null) ? 0 : getEffectiveStart().hashCode());
        result = prime * result + ((getEffectiveEnd() == null) ? 0 : getEffectiveEnd().hashCode());
        result = prime * result + ((getRegistrationStart() == null) ? 0 : getRegistrationStart().hashCode());
        result = prime * result + ((getRegistrationEnd() == null) ? 0 : getRegistrationEnd().hashCode());
        result = prime * result + ((getDetails() == null) ? 0 : getDetails().hashCode());
        result = prime * result + ((getComments() == null) ? 0 : getComments().hashCode());
        result = prime * result + ((getStatus() == null) ? 0 : getStatus().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getUpdateTime() == null) ? 0 : getUpdateTime().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getExt3() == null) ? 0 : getExt3().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", regions=").append(regions);
        sb.append(", activityNo=").append(activityNo);
        sb.append(", activityName=").append(activityName);
        sb.append(", posScope=").append(posScope);
        sb.append(", effectiveStart=").append(effectiveStart);
        sb.append(", effectiveEnd=").append(effectiveEnd);
        sb.append(", registrationStart=").append(registrationStart);
        sb.append(", registrationEnd=").append(registrationEnd);
        sb.append(", details=").append(details);
        sb.append(", comments=").append(comments);
        sb.append(", status=").append(status);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", ext3=").append(ext3);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}
